<?php
namespace Magento\Config\Block\System\Config\Form\Fieldset\Modules\DisableOutput;

/**
 * Interceptor class for @see \Magento\Config\Block\System\Config\Form\Fieldset\Modules\DisableOutput
 */
class Interceptor extends \Magento\Config\Block\System\Config\Form\Fieldset\Modules\DisableOutput implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Context $context, \Magento\Backend\Model\Auth\Session $authSession, \Magento\Framework\View\Helper\Js $jsHelper, \Magento\Framework\Module\ModuleListInterface $moduleList, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $authSession, $jsHelper, $moduleList, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
